// Listing 5: Abonnieren von Nachrichten
public void listenToCommands(MqttClient mqttClient) throws MqttException {
   final String clientId = mqttClient.getClientId();
   final String commandTopic = clientId+"/command";
   final IMqttMessageListener commandListener = new IMqttMessageListener() {
       @Override
       public void messageArrived(String s, MqttMessage mqttMessage) throws Exception {
           String payload = Arrays.toString(mqttMessage.getPayload());
           if(payload.equals("increase")) {
               //Durchsatz an Steckdose erhhen
               System.out.println("Stromdurchsatz fr "+clientId+" erhht");
           } else if (payload.equals("decrease")) {
               //Durchsatz an Steckdose verringern
               System.out.println("Stromdurchsatz fr "+clientId+" verringert");
           }
        }
    };

    mqttClient.subscribe(commandTopic, commandListener);
}
