// Listing 2: Schreiben von MQTT Publishes in eine Datenbank
public class SavePublishToDB implements OnPublishReceivedCallback {

... Definitions ...
    
    String addRecordSQL = "INSERT INTO MQTTMSG" + "(USERNAME, PAYLOAD, CREATED_DATE) VALUES" + "(?,?,?)";    
    PreparedStatement preparedStatement = connection.prepareStatement(addRecordSQL);

    @Override
    public void onPublishReceived(PUBLISH publish, ClientData clientData) throws OnPublishReceivedException {
        final String clientId = clientData.getClientId();
        final String payload = Arrays.toString(publish.getPayload());
        String addRecordSQL = "INSERT INTO MQTTMSG" + "(USERNAME, PAYLOAD, CREATED_DATE) VALUES" + "(?,?,?)";
        PreparedStatement preparedStatement;

        //Username, Inhalt der Nachricht und aktuellen Timestamp in DB schreiben
        preparedStatement.setString(1,clientId);
        preparedStatement.setString(2,payload);
        preparedStatement.setTimestamp(3,getCurrentTimeStamp());
        preparedStatement.executeUpdate();
        
        System.out.println("Client: "+clientId+"hat eine Nachricht mit dem Inhalt: "+payload+" geschickt");
    }

    @Override
    public int priority() {
        return 0;
    }
    
    private TimeStamp getCurrentTimeStamp() {
    //Aktuellen Timestamp zurckgeben
    }
    ...
}

